Bug 228051 - net/tshark-lite-2.6.0 : missing symbol and dumpcap
Summary: net/tshark-lite-2.6.0 : missing symbol and dumpcap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-07 18:17 UTC by freebsd
Modified: 2019-08-02 13:28 UTC (History)
4 users (show)

See Also:


Attachments
wireshark l16mono fix (9.51 KB, patch)
2018-05-22 17:03 UTC, Sergey Akhmatov
sergey: maintainer-approval? (marcus)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2018-05-07 18:17:08 UTC
Since latest upgrade, I get following error when trying to start tshark :
tshark: Couldn't load plugin 'l16mono.so': /usr/local/lib/wireshark/plugins/2.6/wiretap/l16mono.so: Undefined symbol "register_codec"                                                                                Capturing on 'lo0'                                                                                                                                                                                                                
tshark: Couldn't run /usr/local/bin/dumpcap in child process: No such file or directory                                                                                                                                           

Indeed dumpcap disappeared.
Comment 1 bp 2018-05-15 03:09:34 UTC
Yeah, it went away with ports r468767 which mentions: 

  Also note: The -lite ports were made lighter with the removal of dumpcap.

I tried simply tweaking the Makefile to put dumpcap back in where it was removed, but that failed.  

Ended up just building the non-lite version of tshark - it still shows the warning about l16mono.so, but seems to work otherwise.
Comment 2 Sergey Akhmatov 2018-05-22 17:03:30 UTC
Created attachment 193621 [details]
wireshark l16mono fix

plugins/codecs/l16_mono/CMakeLists.txt
plugins/codecs/l16_mono/Makefile.am
are patched from upstream:
https://code.wireshark.org/review/#/c/27326/

plugins/codecs/l16_mono/Makefile.in - updated with automake
Comment 3 Sergey Akhmatov 2018-05-22 17:05:20 UTC
(In reply to freebsd from comment #0)
It's upstream bug: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14638

Could you test attached patch? Fixes "l16mono.so: Undefined symbol" for me.
Comment 4 commit-hook freebsd_committer 2018-05-28 19:31:24 UTC
A commit references this bug:

Author: marcus
Date: Mon May 28 19:30:58 UTC 2018
New revision: 471063
URL: https://svnweb.freebsd.org/changeset/ports/471063

Log:
  Fix an undefined symbol error in tshark.

  The l16mono codec was installed as a regular plugin, and this generated a bogus undefined symbol error.

  PR:		228051
  Submitted by:	Sergey Akhmatov <sergey@akhmatov.ru>
  Obtained from:	https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14638

Changes:
  head/net/wireshark/Makefile
  head/net/wireshark/files/patch-plugins_codecs_l16__mono_CMakeLists.txt
  head/net/wireshark/files/patch-plugins_codecs_l16__mono_Makefile.am
  head/net/wireshark/files/patch-plugins_codecs_l16__mono_Makefile.in
  head/net/wireshark/pkg-plist
Comment 5 Joe Marcus Clarke freebsd_committer 2018-05-28 19:32:15 UTC
Committed, thanks!
Comment 6 Gert Doering 2019-07-31 09:20:46 UTC
While this bug is closed, I hope someone still reads if I comment - I just ran into the same issue with tshark-lite 3.0.2_1 - "it does not work because dumpcap is missing".

So what is the answer on this?  Phrased differently: what makes the "lite" package "lite"?  If it's just the removal of being able to capture, maybe this should be stated more clearly in the package info...
Comment 7 Joe Marcus Clarke freebsd_committer 2019-08-01 22:00:37 UTC
Sure, I see the comments.  But your issue sounds very different from this bug.  The intent is not to make tshark-lite useless.  Please open a new PR for your issues.
Comment 8 Gert Doering 2019-08-02 13:28:02 UTC
(In reply to Joe Marcus Clarke from comment #7)

Well, the title of this bug is "net/tshark-lite ... missing ... dumpcap", which is still the case with 3.0.x - so I found it "close enough".

The symbol issue is fixed, I understand.

Anyway.  I'll open a new PR.